Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 18/10/2005, à 22:11

raoul

Pas moyen d'Installer Opera en deb. + erreur de segmentation

D'habitude je fais tout avec synaptic ...

sudo dpkg i- opera_8.50-20050916.6-shared-qt_en_etch_i386.deb
Password:
dpkg: requiert une option d'action

Taper dpkg --help pour une obtenir une aide sur l'installation et la désinstallation des paquets [*] ;
Utiliser « dselect » ou « aptitude » pour gérer le paquets de manière
plus conviviale ;
Taper dpkg -Dhelp pour une obtenir une liste des valeurs drapeaux de débogage ;
Taper dpkg --force-help pour consulter la liste des options de forçage ;
Taper dpkg-deb --help pour une obtenir une aide sur la manipulation des fichiers *.deb ;
Taper dpkg --licence pour voir la licence copyright et l'absence de garantie (GNU GPL) [*].

Je ne comprends rien à ce bazar.

Je tente donc une méthode alternative trouvée sur le wiki anglais.

J' ajoute le dépôt suivant :

deb http://deb.opera.com/opera/ stable non-free

Et puis :

sudo apt-get update

sudo apt-get install opera

J'obtiens alors :
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Certains paquets ne peuvent être installés. Ceci peut signifier
que vous avez demandé l'impossible, ou bien, si vous utilisez
la distribution unstable, que certains paquets n'ont pas encore
été créés ou ne sont pas sortis d'Incoming.

Puisque vous n'avez demandé qu'une seule opération, le paquet n'est
probablement pas installable et vous devriez envoyer un rapport de bogue.
L'information suivante devrait vous aider à résoudre la situation :

Les paquets suivants contiennent des dépendances non satisfaites :
  opera: Dépend: libqt3c102-mt mais il n'est pas installable
E: Paquets défectueux


J'essaye autre chose : le dépôt "unstable" cela a l'air de marcher ça s'installe mais c'est pire : je tente de lancer opera avec

sudo opera

c'est pire :

Erreur de segmentation

Cela veut dire quoi au fait erreur de segmentation ?

NB : J'utilisais déjà ubuntu sur mon vieux desktop celeron 500 et je suis content d'avoir pu installer ubuntu breezy (à partir d'hoary) sur mon portable travelmate 233LC.
Mais là  je n'arrive pas du tout à installer Opera ...

Dernière modification par raoul (Le 18/10/2005, à 22:21)

Hors ligne

#2 Le 18/10/2005, à 22:17

etiennez

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

la commande correcte est :
$ sudo dpkg -i opera_8.50-20050916.6-shared-qt_en_etch_i386.deb


I'm a good boy.

Hors ligne

#3 Le 18/10/2005, à 22:18

calimarno

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Salut Raoul,
Ton problème était simple à résoudre (erreur dès la première commande!):

 sudo dpkg -i opera*.deb

et non "i-", voilà pourquoi il te suggère de lire le manuel tongue

PS: Si j'étais toi, j'éviterai d'ajouter des dépôts non-Ubuntu, mais ça n'est qu'un conseil d'ami. (Mais apparemment, c'est un dépôt uniquement pour opera et ça ne devrait pas poser de problèmes...)

Dernière modification par calimarno (Le 18/10/2005, à 22:20)


Les Chroniques de Calimarno -- Swisslinux.org
"Alors que tous les autres ont des problèmes, les chimistes ont des solutions!" :D
----
Pour passer un sujet en [Résolu], il suffit que l'auteur du premier message du sujet modifie le titre en cliquant sur "Modifier".

Hors ligne

#4 Le 18/10/2005, à 22:37

raoul

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Vous allez encore rire ...  je devrais réapprendre à lire moi ... maintenant (sans doute à cause de mes bêtises antérieures) j'ai fait :

sudo dpkg -i opera_8.50-20050916.6-shared-qt_en_etch_i386.deb

Cela donne :

dpkg : erreur de traitement de opera_8.50-20050916.6-shared-qt_en_etch_i386.deb (--install) :
ne peut pas accéder à l'archive: Aucun fichier ou répertoire de ce type
Des erreurs ont été rencontrées pendant l'exécution :
opera_8.50-20050916.6-shared-qt_en_etch_i386.deb

J'avais oublié le chemin j'imagine, bein ça ne va pas mieux :

dpkg-split: erreur de lecture sur /home/pascal/Desktop/: est un répertoire
dpkg : erreur de traitement de /home/pascal/Desktop/ (--install) :
le sous-processus dpkg-split a retourné une erreur de sortie d'état 2
dpkg : erreur de traitement de opera_8.50-20050916.6-shared-qt_en_etch_i386.deb (--install) :
ne peut pas accéder à l'archive: Aucun fichier ou répertoire de ce type
Des erreurs ont été rencontrées pendant l'exécution :
/home/pascal/Desktop/

Je ne comprends plus bien : j'ai pu installer skype à part sans problème et aussi opera sur mon autre machine ... sans doute une faute de frappe ?? ;-)

Dernière modification par raoul (Le 19/10/2005, à 00:09)

Hors ligne

#5 Le 18/10/2005, à 22:50

etiennez

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

sudo dpkg -i  /home/pascal/Desktop/opera*.deb

si ton .deb est bien sur ton bureau (tu as du mettre un espace entre le chemin et le nom du fichier lors de ton 2ème essai non?)


I'm a good boy.

Hors ligne

#6 Le 19/10/2005, à 00:00

raoul

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Oui je suppose que j'avais laissé un espace ...  merci beaucoup. Finalement ça a l'air d'avoir réussi l'installation ...

sudo dpkg -i /home/pascal/Desktop/opera_8.50-20050916.6-shared-qt_en_etch_i386.deb
(Lecture de la base de données... 80482 fichiers et répertoires déjà installés.)Préparation du remplacement de opera 8.50-20050916.6 (en utilisant .../opera_8.50-20050916.6-shared-qt_en_etch_i386.deb) ...
Dépaquetage de la mise à jour de opera ...
Paramétrage de opera (8.50-20050916.6) ...

Cela a l'air d'être installé mais Opera ne se lance pas. Si je tape opera dans une console, il doit se lancer j'imagine ? Bein, non quand je tape sudo opera, il met erreur de segmentation ! J'ai tout de même créé un lien comme indiqué par keyes et ça ne marche pas non plus...mystère. Où dois-je chercher pour vérifier que l'installation a bien réussi ?  Peut-être faut-il que je reboote ?

Si pouvez encore m'éclairer, je vous remercie d'avance ...
... et bonne nuit !

NB :  libqt3-mt est bien installé, j'ai vérifié dans synaptic.

Dernière modification par raoul (Le 19/10/2005, à 00:08)

Hors ligne

#7 Le 19/10/2005, à 00:56

Julian

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Salut,

raoul a écrit :

Peut-être faut-il que je reboote ?

Non non non, plus besoin maintenant wink (enfin c'est très rare).

raoul a écrit :

Cela a l'air d'être installé mais Opera ne se lance pas. Si je tape opera dans une console, il doit se lancer j'imagine ?

Tout dépend de ta machine, sur des anciennes config Opera peut être Trèeeeeeeeeeeeees long à se lancer.
As-tu patienté assez longtemps?

J'ai installé Opera sur pas mal de pc's (warty, hoary et breezy), et je n'ai jamais rencontré ce problème.
En revanche, j'ai toujours installé avec le .deb et non par les dépôts, c'est ça qui doit mettre le bronx.

Si ça ne fonctionne toujours pas en étant patient, tu peux toujours essayer de désinstaller à fond opera

sudo apt-get remove --purge opera*

Et de réinstaller le .deb comme prévu, qui sait?


julian@jabber.fr

Hors ligne

#8 Le 19/10/2005, à 11:56

raoul

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Merci Julian. J'ai sans doute mis le bronx un moment ou l'autre car ce portable travelmate 233 LC (où j'essaye en vain d'installer opera) est une bien plus nouvelle config que mon desktop (vieux celeron 500) où Opera fonctionne se lance au quart de tour.

Donc, j'ai viré le dépôt et j'ai suivi ton conseil :

sudo apt-get remove --purge opera

cela donne :

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances... Fait
Les paquets suivants seront ENLEVÉS :
  opera*
0 mis à jour, 0 nouvellement installés, 1 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 0o dans les archives.
Après dépaquetage, 9466ko d'espace disque seront libérés.
Souhaitez-vous continuer [O/n] ? O
(Lecture de la base de données... 80480 fichiers et répertoires déjà installés.)Suppression de opera ...
Purge des fichiers de configuration de opera ...
dpkg : avertissement : lors de la suppression de opera, le répertoire « /usr/share/opera/styles » n'était pas vide, donc il n'a pas été supprimé.
dpkg : avertissement : lors de la suppression de opera, le répertoire « /usr/share/opera » n'était pas vide, donc il n'a pas été supprimé.

Je réessaye quand même (me disant que le message supra n'augure rien de génial) :

sudo dpkg -i /home/pascal/Desktop/opera_8.50-20050916.6-shared-qt_en_etch_i386.deb

Cela donne :

Sélection du paquet opera précédemment désélectionné.
(Lecture de la base de données... 80379 fichiers et répertoires déjà installés.)Dépaquetage de opera (à partir de .../opera_8.50-20050916.6-shared-qt_en_etch_i386.deb) ...
Paramétrage de opera (8.50-20050916.6) ...

J'essaye alors de lancer opera :

sudo opera

Apparaît alors :

Erreur de segmentation

Voilà où j'en suis ... est-ce ce répertoire « /usr/share/opera » qui pose problème ? Faut-il le virer ? Comment ?

Hors ligne

#9 Le 19/10/2005, à 12:42

Julian

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Salut,

Et

opera

Tout court, ça ne veut pas?

Tu as bien viré les dépôs douteux pour opera?

Sinon pour le message de "purge" que tu as, rien de bien méchant (tu as raison de tout lire en détail wink ) , en fait il n'y a bien qu'opera qui a été désinstallé, et pour le /usr/share/opera, ben on va le virer à la main peut  être que...

Alors tu recommences:

sudo apt-get remove --purge opera*

Puis

sudo rm -rf /usr/share/opera

Et tu réinstalles opera, ça coute rien d'essayer.


julian@jabber.fr

Hors ligne

#10 Le 19/10/2005, à 18:20

raoul

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Hello again !

J'ai essayé à nouveau sans succès mais j'ai trouvé une méthode alternative qui marche chez moi :

Installer dans synaptic le paquet suivant ou éditer son sources.list en ajoutant la ligne :

deb http://deb.opera.com/opera/ stable non-free

Ensuite avec synaptic, chercher le paquet opera-static. Il s'installe sans problème de dépendance (contrairement au paquet opera).

Je lance dans un terminal

sudo opera

Et ça roule .... enfin sauf que quand je ferme le terminal ou le quitte, Opera fiche le camp aussitôt ... enfin c'est déjà ça.


NB : comment je fais pour écrire "résolu" dans le titre ?

Dernière modification par raoul (Le 19/10/2005, à 18:30)

Hors ligne

#11 Le 19/10/2005, à 18:40

Julian

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Resalut,

sudo opera

yikes
Je peux comprendre que tu en ai marre d'opera, mais utiliser un navigateur internet en mode superutilisateur (sudo) n'ai vraiment mais alors vraiment pas une bonne idée niveau sécu!

opera

tout court ne fonctionne pas?

Là, il vaut franchement mieux le temps que tu trouves la solution pour opera, que tu utilises firefox ou autre chose.

Pour le coup d'opera qui se barre quand tu fermes la console, c'est normal puisque les 2 sont liés.
Pour éviter ça, il faut créer un raccourci comme indiqué dans le tuto de keyes du planet.

Quand même bizarre ton truc hmm


julian@jabber.fr

Hors ligne

#12 Le 20/10/2005, à 11:52

jazzride

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

bon c'est pas fameux mais voilà la manip
- installer via synaptic en effet
- ensuite, afin d'éviter de se logguer en admin sous internet (risque maxi !) on va tt simplement rajouter un lien au tableau de bord à partir de /usr/bin/opera 

Voilà smile
Ceci dit je préfere firefox tongue
A+

Hors ligne

#13 Le 20/10/2005, à 12:55

raoul

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Merci à tous pour votre aide.
Mes multiples tentatives d'installer et de désinstaller opéra ont peut-être mis le bronx. Il m'est impossible de lancer opera autrement ... je n'y comprends rien car j'ai sur mon vieux celeron 500 un opera qui tourne très bien (sauf le son, les plug in) avec ubuntu breezy également.

Je n'ai pas encore essayé avec un fichier tar.gz (car je ne sais pas comment ça marche).
Est-ce que quelqu'un a déjà essayé d'installer opera avec un fichier tar.gz ?
Est-ce que quelqu'un a eu aussi le message "erreur de segmentation" ?
Me conseillez-vous de faire une réinstallation complète de tout ubuntu breezy ? Notez qu'il n'y a rien d'important au niveau data sur ce portable travelmate 233LC car j'ai fait un back up de tout ce que j'avais avant de virer xp, j'ai une installation à neuf  (avec le cd hoary) que j'ai fait migrer directement après vers breezy) ? Toutefois réinstaller tout c'est long quand même ...

Il est vrai que sur firefox tout fonctionne bien et l'intégration dans ubuntu breezy me paraît nickel (sauf le son fort haché avec les fichiers .ram lu par mplayer par exemple pour les programmes de radio france et france culture en différé) mais c'est vachement moins rapide qu'opera (tant pour le démarrage que l'affichage des pages et ce quelque soit le nombre d'onglets ouverts). Quant à Epiphany et Galeon, ils ne vont pas aussi vite qu'Opera. Sur mon vieux pc qui a 6 ans opera me permet de surfer bien plus vite que firefox sur ce laptop de 2 ans d'âge.  En plus opera peut se faire passer pour ie, ce qui est parfois bien utile. S'il y avait moyen d'optimiser firefox pour qu'il intègre les avantages d'opera.... Ou intégrer directement opera dans ubuntu ce serait nickel.

Dernière modification par raoul (Le 20/10/2005, à 13:08)

Hors ligne

#14 Le 20/10/2005, à 14:32

raoul

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Petite question : j'ai tout "purgé" par rapport à opera mais un fichier est impossible à supprimer : opera.desktop dans usr/share/applications . Comment fait-on ?

Hors ligne

#15 Le 20/10/2005, à 22:26

sociopathe

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Juste pour dire que j'ai exactement le même problème.

ERROR: ld.so: object 'libjvm.so' from LD_PRELOAD cannot be preloaded: ignored.
ERROR: ld.so: object 'libawt.so' from LD_PRELOAD cannot be preloaded: ignored.
Erreur de segmentation

Que ce soit avec le .deb téléchargé sur le site ou en utilisant le dépot (branche testing).
Supprimer le .opera du home ne change rien non plus.

Au fait, 'libjvm.so' ça à rappot avec java non? Mais je croyais que ça se configurait après.

Sinon je sais pas pour vous mais opera-static à des polices carrement trop moches, pour le moment je laisse tomber.

Hors ligne

#16 Le 25/10/2005, à 20:46

manu (newbie)

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

il s'agit effectivement d'un problème JAVA, la soluce est là:

https://wiki.ubuntu.com/OperaBrowser

plus d'erreurs liées à java, pourtant un message m'informe que certains plugins ne fonctionneront pas.... affaire à suivre!

Manu

EDIT: soluce pour les autres plugins et le message d'erreur au lancement: paquet "motif" manquant

sudo apt-get install libmotif3 lesstif2 motif-clients

(source=ubuntuforums.com

[version:opera 8.5 static du dépot OPERA]

Dernière modification par manu (newbie) (Le 25/10/2005, à 23:12)

Hors ligne

#17 Le 29/10/2005, à 12:50

sociopathe

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Merci, tous ces liens m'ont bien aidés.

Perso moi je suis en opera non static, sur le déport branche unstable.


J'ai réglé le le segdefault en editant ~/.opera/pluginpath.ini comme précisé.
Plus d'erreur java non plus en indiquant le bon chemin dans les options du navigateur, vous pouvez vérifier si tout est ok à cette adresse.
Et le message d'erreur motif à été résolu grâce à cette manip'.

Hors ligne

#18 Le 02/11/2005, à 18:43

raoul

Re : Pas moyen d'Installer Opera en deb. + erreur de segmentation

Super, j'avais abandonné complètement l'idée d'installer Opera et là je réessaye et ça a marché en faisant effectivement dans un terminal :

sudo gedit ~/.opera/pluginpath.ini

Et puis en changeant les lignes "paths" de la façon suivante dans le fichier :

[Paths]
/usr/lib/opera/plugins=1
/usr/lib/mozilla/plugins=0
/usr/lib/netscape/plugins-libc6=0

Sans oublier d'enregistrer le fichier.

Comme effectivement indiqué sur le wiki anglais : https://wiki.ubuntu.com/OperaBrowser

C'est apparrement de là que venait le message : erreur de segmentation.

Merci à tous !

NB : je ne sais toujours pas comment on écrit résolu dans le sujet ...

Hors ligne

Haut de page ↑